## visad
Class RemoteFlatFieldImpl

    java.lang.Object
      java.rmi.server.RemoteObject
          java.rmi.server.RemoteServer
              java.rmi.server.UnicastRemoteObject
                  visad.RemoteThingImpl
                      visad.RemoteDataImpl
                          visad.RemoteFunctionImpl
                              visad.RemoteFieldImpl
                                  visad.RemoteFlatFieldImpl

All Implemented Interfaces:
  Data, Field, FlatFieldIface, Function, Remote, RemoteData, RemoteField, RemoteFlatField, RemoteFunction, RemoteThing, Serializable, Thing

public class RemoteFlatFieldImpl
extends RemoteFieldImpl
implements RemoteFlatField

RemoteFlatFieldImpl is the VisAD remote adapter for FlatField.
Another way to approach the problem of moving data to a remote machine would be to have a remote class which serializes a sample and copies it over to the remote machine where it is cached for fast access. This would be a much better approach if the application does a lot of computations on a set of static samples.

See Also:
  Serialized Form

Field Summary

Fields inherited from class visad.RemoteDataImpl
`AdaptedData`

Fields inherited from class visad.RemoteThingImpl
`AdaptedThing`

Fields inherited from class java.rmi.server.RemoteObject
`ref`

Fields inherited from interface visad.Data

`ABS, ACOS, ACOS_DEGREES, ADD, ASIN, ASIN_DEGREES, ATAN, ATAN_DEGREES, ATAN2, ATAN2_DEGREES, CEIL, COS, COS_DEGREES, DEGREES_TO_RADIANS, DEPENDENT, DIVIDE, EXP, FLOOR, INDEPENDENT, INV_ATAN2, INV_ATAN2_DEGREES, INV_DIVIDE, INV_POW, INV_REMAINDER, INV_SUBTRACT, LOG, MAX, MIN, MULTIPLY, NEAREST_NEIGHBOR, NEGATE, NO_ERRORS, NOP, POW, RADIANS_TO_DEGREES, REMAINDER, RINT, ROUND, SIN, SIN_DEGREES, SQRT, SUBTRACT, TAN, TAN_DEGREES, WEIGHTED_AVERAGE`

Constructor Summary
`RemoteFlatFieldImpl(FlatField flatField)` construct a RemoteFieldImpl object to provide remote access to field

Method Summary
`void` `clearMissing()` mark this FlatField as non-missing
`Field` `convertToField()` convert this FlatField to a (non-Flat) FieldImpl
`int` `getRangeDimension()` Gets the number of components in the "flat" range.
`ErrorEstimate[]` `getRangeErrors()` return array of ErrorEstimates associated with each RealType component of range; each ErrorEstimate is a mean error for all samples of a range RealType component
`Set[]` `getRangeSets()` Returns the sampling set of each flat component.
`double[]` `getValues(int s_index)` get values for 'Flat' components in default range Unit-s
`byte[][]` `grabBytes()`
`void` `setRangeErrors(ErrorEstimate[] errors)` set ErrorEstimates associated with each RealType component of range
`void` `setSamples(double[][] range, boolean copy)` set range array as range values of this FlatField; the array is dimensioned double[number_of_range_components][number_of_range_samples]; the order of range values must be the same as the order of domain indices in the DomainSet; copy array if copy flag is true
`void` `setSamples(double[][] range, ErrorEstimate[] errors, boolean copy)` set the range values of the function including ErrorEstimate-s; the order of range values must be the same as the order of domain indices in the DomainSet
`void` `setSamples(float[][] range, boolean copy)` set range array as range values of this FlatField; the array is dimensioned float[number_of_range_components][number_of_range_samples]; the order of range values must be the same as the order of domain indices in the DomainSet; copy array if copy flag is true
`void` `setSamples(float[][] range, ErrorEstimate[] errors, boolean copy)` set the range values of the function including ErrorEstimate-s; the order of range values must be the same as the order of domain indices in the DomainSet
`void` `setSamples(int start, double[][] range)`

Methods inherited from class visad.RemoteFieldImpl
`domainEnumeration, domainFactor, domainMultiply, domainMultiply, extract, getDefaultRangeUnits, getDomainCoordinateSystem, getDomainSet, getDomainUnits, getFloats, getFloats, getLength, getRangeCoordinateSystem, getRangeCoordinateSystem, getRangeUnits, getSample, getStringValues, getValues, getValues, isFlatField, setSample, setSample, setSample, setSample, setSamples, setSamples, setSamples`

Methods inherited from class visad.RemoteFunctionImpl
`derivative, derivative, derivative, derivative, derivative, evaluate, evaluate, evaluate, evaluate, getDomainDimension, resample, resample`

Methods inherited from class visad.RemoteDataImpl

`abs, abs, acos, acos, acosDegrees, acosDegrees, add, add, adjustSamplingError, asin, asin, asinDegrees, asinDegrees, atan, atan, atan2, atan2, atan2Degrees, atan2Degrees, atanDegrees, atanDegrees, binary, binary, ceil, ceil, changeMathType, computeRanges, computeRanges, computeRanges, cos, cos, cosDegrees, cosDegrees, dataClone, divide, divide, exp, exp, floor, floor, getType, isMissing, local, log, log, longString, longString, max, max, min, min, multiply, multiply, negate, negate, pow, pow, remainder, remainder, rint, rint, round, round, sin, sin, sinDegrees, sinDegrees, sqrt, sqrt, subtract, subtract, tan, tan, tanDegrees, tanDegrees, unary, unary`

Methods inherited from class visad.RemoteThingImpl
`addReference, getTick, incTick, removeReference`

Methods inherited from class java.rmi.server.UnicastRemoteObject
`clone, exportObject, exportObject, exportObject, unexportObject`

Methods inherited from class java.rmi.server.RemoteServer
`getClientHost, getLog, setLog`

Methods inherited from class java.rmi.server.RemoteObject
`equals, getRef, hashCode, toString, toStub`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface visad.Field
`domainEnumeration, domainFactor, domainMultiply, domainMultiply, extract, getDefaultRangeUnits, getDomainSet, getFloats, getFloats, getLength, getRangeCoordinateSystem, getRangeCoordinateSystem, getRangeUnits, getSample, getStringValues, getValues, getValues, isFlatField, setSample, setSample, setSample, setSample, setSamples, setSamples, setSamples`

Methods inherited from interface visad.Function
`derivative, derivative, derivative, derivative, derivative, evaluate, evaluate, evaluate, evaluate, getDomainCoordinateSystem, getDomainDimension, getDomainUnits, resample, resample`

Methods inherited from interface visad.Data

`abs, abs, acos, acos, acosDegrees, acosDegrees, add, add, adjustSamplingError, asin, asin, asinDegrees, asinDegrees, atan, atan, atan2, atan2, atan2Degrees, atan2Degrees, atanDegrees, atanDegrees, binary, binary, ceil, ceil, changeMathType, computeRanges, computeRanges, computeRanges, cos, cos, cosDegrees, cosDegrees, dataClone, divide, divide, exp, exp, floor, floor, getType, isMissing, local, log, log, longString, longString, max, max, min, min, multiply, multiply, negate, negate, pow, pow, remainder, remainder, rint, rint, round, round, sin, sin, sinDegrees, sinDegrees, sqrt, sqrt, subtract, subtract, tan, tan, tanDegrees, tanDegrees, unary, unary`

Methods inherited from interface visad.Thing
`addReference, removeReference`

Methods inherited from interface visad.RemoteThing
`getTick, incTick`

Constructor Detail

### RemoteFlatFieldImpl

    public RemoteFlatFieldImpl(FlatField flatField)
                        throws RemoteException,
                               VisADException

  construct a RemoteFieldImpl object to provide remote access to field

Method Detail

### getRangeSets

    public Set[] getRangeSets()
                       throws RemoteException,
                              VisADException

  Returns the sampling set of each flat component.

  Specified by:
    `getRangeSets` in interface `FlatFieldIface`
  Returns:
    The sampling set of each component in the flat range.
  Throws:
    `RemoteException`
    `VisADException`

### getRangeErrors

    public ErrorEstimate[] getRangeErrors()
                                   throws RemoteException,
                                          VisADException

  return array of ErrorEstimates associated with each RealType component of range; each ErrorEstimate is a mean error for all samples of a range RealType component

  Specified by:
    `getRangeErrors` in interface `FlatFieldIface`
  Throws:
    `RemoteException`
    `VisADException`

### setRangeErrors

    public void setRangeErrors(ErrorEstimate[] errors)
                        throws RemoteException,
                               VisADException

  set ErrorEstimates associated with each RealType component of range

  Specified by:
    `setRangeErrors` in interface `FlatFieldIface`
  Throws:
    `RemoteException`
    `VisADException`

### setSamples

    public void setSamples(double[][] range,
                           boolean copy)
                    throws RemoteException,
                           VisADException

  set range array as range values of this FlatField; the array is dimensioned double[number_of_range_components][number_of_range_samples]; the order of range values must be the same as the order of domain indices in the DomainSet; copy array if copy flag is true

  Specified by:
    `setSamples` in interface `FlatFieldIface`
  Throws:
    `RemoteException`
    `VisADException`

### setSamples

    public void setSamples(float[][] range,
                           boolean copy)
                    throws RemoteException,
                           VisADException

  set range array as range values of this FlatField; the array is dimensioned float[number_of_range_components][number_of_range_samples]; the order of range values must be the same as the order of domain indices in the DomainSet; copy array if copy flag is true

  Specified by:
    `setSamples` in interface `FlatFieldIface`
  Throws:
    `RemoteException`
    `VisADException`

### setSamples

    public void setSamples(double[][] range,
                           ErrorEstimate[] errors,
                           boolean copy)
                    throws RemoteException,
                           VisADException

  set the range values of the function including ErrorEstimate-s; the order of range values must be the same as the order of domain indices in the DomainSet

  Specified by:
    `setSamples` in interface `FlatFieldIface`
  Throws:
    `RemoteException`
    `VisADException`

### setSamples

    public void setSamples(int start,
                           double[][] range)
                    throws RemoteException,
                           VisADException

  Specified by:
    `setSamples` in interface `FlatFieldIface`
  Throws:
    `RemoteException`
    `VisADException`

### setSamples

    public void setSamples(float[][] range,
                           ErrorEstimate[] errors,
                           boolean copy)
                    throws RemoteException,
                           VisADException

  set the range values of the function including ErrorEstimate-s; the order of range values must be the same as the order of domain indices in the DomainSet

  Specified by:
    `setSamples` in interface `FlatFieldIface`
  Throws:
    `RemoteException`
    `VisADException`

### grabBytes

    public byte[][] grabBytes()
                       throws RemoteException,
                              VisADException

  Specified by:
    `grabBytes` in interface `FlatFieldIface`
  Throws:
    `RemoteException`
    `VisADException`

### getValues

    public double[] getValues(int s_index)
                       throws RemoteException,
                              VisADException

  get values for 'Flat' components in default range Unit-s

  Specified by:
    `getValues` in interface `FlatFieldIface`
  Throws:
    `RemoteException`
    `VisADException`

### clearMissing

    public void clearMissing()
                      throws RemoteException,
                             VisADException

  mark this FlatField as non-missing

  Specified by:
    `clearMissing` in interface `FlatFieldIface`
  Throws:
    `RemoteException`
    `VisADException`

### convertToField

    public Field convertToField()
                         throws RemoteException,
                                VisADException

  convert this FlatField to a (non-Flat) FieldImpl

  Specified by:
    `convertToField` in interface `FlatFieldIface`
  Throws:
    `RemoteException`
    `VisADException`

### getRangeDimension

    public int getRangeDimension()
                          throws RemoteException,
                                 VisADException

  Gets the number of components in the "flat" range.

  Specified by:
    `getRangeDimension` in interface `FlatFieldIface`
  Returns:
    The number of components in the "flat" range.
  Throws:
    `RemoteException`
    `VisADException`